<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Auto Generate Format</title>

    <!-- if there must be multiple plugins, put here -->
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/jstree/css/style-custom.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Auto Generate Format </h3>
                        <nav aria-label="breadcrumb">
                          <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Auto Generate Format</li>
                          </ol>
                        </nav>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title card-head">
                                <div class="row">
                                    <div class="col-sm-12 text-right">
                                        <button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#exampleModal" data-whatever="@mdo">
                                            <i class="fa fa-plus"></i> New
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <hr class="title-line">

                            <!-- Modal New -->
                            <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-md" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">Auto Generate</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                                <form class="form-sample" action="">
                                                    <div class="form-group row">
                                                        <label class="col-sm-3" style="margin-top:15px;">Type</label>
                                                        <div class="col-sm-9">
                                                            <select class="js-example-basic-single" style="width:100%">
                                                                <option value="AL">- Choose -</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="col-sm-3" style="margin-top:15px;">Prefix</label>
                                                        <div class="col-sm-9">
                                                            <input type="text" class="form-control form-control-sm" name="prefix" id="prefix">
                                                        </div>
                                                        
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="col-sm-3" style="margin-top:15px;">Length</label>
                                                        <div class="col-sm-9">
                                                            <input type="text" class="form-control form-control-sm" name="length" id="length">
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="col-sm-3" style="margin-top:15px;">Padding</label>
                                                        <div class="col-sm-9">
                                                            <input type="text" class="form-control form-control-sm" name="padding" id="padding">
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="col-sm-3" style="margin-top:15px;">Start Character</label>
                                                        <div class="col-sm-9">
                                                            <input type="text" class="form-control form-control-sm col-sm-9" name="startCharacter" id="startCharacter">
                                                        </div>
                                                    </div>
                                                </form>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-success">Save</button>
                                            <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                        </div>
                                    </div>
                                </div>
                              </div>
                            <!-- End Modal -->

                            <div class="row">
                                <div class="col-12">
                                <table id="order-listing" class="table">
                                    <thead>
                                        <tr>
                                            <th>Type</th>
                                            <th>Prefix</th>
                                            <th>Length</th>
                                            <th>Padding</th>
                                            <th>Start Character</th>
                                            <th>Current Character</th>
                                            <th class="text-center">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    
                                    </tbody>
                                </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    
    <!-- End plugin js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <!-- Custom js for this page -->
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/js/data-table.js}"></script>

    <script>
        
        // $('#exampleModal-4').on('show.bs.modal', function(event) {
        //     var button = $(event.relatedTarget) // Button that triggered the modal
        //     var recipient = button.data('whatever') // Extract info from data-* attributes
        //     // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        //     // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        //     var modal = $(this)
        //     modal.find('.modal-title').text('New message to ' + recipient)
        //     modal.find('.modal-body input').val(recipient)
        // })
    </script>
    <!-- End custom js for this page -->
</body>

</html>